classification
Title: Request wave support > 16 bit samples
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: georg.brandl, murraylang, python-dev, serhiy.storchaka
Priority: low Keywords: patch

Created on 2006-10-11 03:52 by murraylang, last changed 2013-11-09 21:24 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
wave_24bit.patch serhiy.storchaka, 2013-10-18 07:07 review
Messages (7)
msg54924 - (view) Author: Murray Lang (murraylang) Date: 2006-10-11 03:52
May I request that the wave library support audio
formats greater than 16 bit. I am hoping to use GNU
Radio (http://www.gnu.org/software/gnuradio/) Python
software with HPSDR (http://hpsdr.org/) hardware, but
the HPSDR audio is 24 bit. The extra dynamic range is
required for weak signal work. Many audio cards are now
coming on the market with 24 bit capability.
msg54925 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-10-11 12:39
Logged In: YES 
user_id=849994

Turning into a feature request.
msg199916 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-14 15:59
Currently 24-bit wave files are supported at least in 2.7, 3.3, and 3.4 (there are tests for this). The audioop module yet not supports 24-bit data, but this is another issue.
msg199918 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-14 16:04
Serhiy, you're welcome to set issues to pending, but please don't forget to close them after a certain time...
msg200184 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-18 07:07
Actually 24-bit samples are supported only on little-endian platforms (see issue19276). Here is simple patch which makes them supported on big-endian too.
msg200185 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-18 07:09
And supporting the feature only on some platforms (without good reasons) is a bug.
msg202502 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-09 21:17
New changeset 5fbcb4aa48fa by Serhiy Storchaka in branch '2.7':
Issue #1575020: Fixed support of 24-bit wave files on big-endian platforms.
http://hg.python.org/cpython/rev/5fbcb4aa48fa

New changeset 79b8b7c5fe8a by Serhiy Storchaka in branch '3.3':
Issue #1575020: Fixed support of 24-bit wave files on big-endian platforms.
http://hg.python.org/cpython/rev/79b8b7c5fe8a

New changeset 1ee45eb6aab9 by Serhiy Storchaka in branch 'default':
Issue #1575020: Fixed support of 24-bit wave files on big-endian platforms.
http://hg.python.org/cpython/rev/1ee45eb6aab9
History
Date User Action Args
2013-11-09 21:24:14serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-11-09 21:17:10python-devsetnosy: + python-dev
messages: + msg202502
2013-10-18 07:09:21serhiy.storchakasettype: enhancement -> behavior
messages: + msg200185
2013-10-18 07:07:12serhiy.storchakasetstatus: pending -> open
files: + wave_24bit.patch

versions: + Python 2.7, Python 3.3
keywords: + patch
resolution: out of date -> (no value)
messages: + msg200184
stage: resolved -> patch review
2013-10-14 16:04:05georg.brandlsetstatus: open -> pending
2013-10-14 16:04:01georg.brandlsetstatus: pending -> open

messages: + msg199918
2013-10-14 15:59:47serhiy.storchakasetstatus: open -> pending
messages: + msg199916

dependencies: - Add support for 24-bit samples in the audioop module
resolution: out of date
stage: needs patch -> resolved
2013-10-14 10:56:19serhiy.storchakasetassignee: serhiy.storchaka
stage: test needed -> needs patch
2013-09-05 19:39:28serhiy.storchakasetdependencies: + Add support for 24-bit samples in the audioop module
2013-09-05 17:31:31serhiy.storchakasetversions: + Python 3.4, - Python 3.2
2013-09-05 17:31:14serhiy.storchakasetnosy: + serhiy.storchaka
2010-08-24 22:14:42BreamoreBoysetversions: + Python 3.2, - Python 2.7
2009-03-30 07:21:04ajaksu2setpriority: normal -> low
stage: test needed
versions: + Python 2.7
2006-10-11 03:52:09murraylangcreate